<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Row Manipulation</TITLE>
<link href="suifmath_8.html" rel=Next>
<link href="suifmath_6.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_6.html">previous</A>, <A HREF="suifmath_8.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC7" HREF="suifmath_toc.html#TOC7">Row Manipulation</A></H3>
<P>
<A NAME="IDX136"></A>
<A NAME="IDX137"></A>

</P>
<P>
Many of the manipulation routines available for matrices are also
applicable to a single row of integers.  In the following list, the
symbols <VAR>a</VAR> and <VAR>b</VAR> are of the class <CODE>integer_row</CODE> and
<VAR>n</VAR>, <VAR>i</VAR> and <VAR>j</VAR> are integers.

</P>
<P>
<A NAME="IDX138"></A>
<A NAME="IDX139"></A>
<DL COMPACT>

<DT><CODE>integer_row a();</CODE>
<DD>
<DT><CODE>a.init();</CODE>
<DD>
Create/initialize an empty row.
<A NAME="IDX140"></A>
<A NAME="IDX141"></A>

<DT><CODE>integer_row a(i);</CODE>
<DD>
<DT><CODE>a.init(i);</CODE>
<DD>
Create/initialize a row of <VAR>i</VAR> elements.
<A NAME="IDX142"></A>
<A NAME="IDX143"></A>

<DT><CODE>integer_row a(b);</CODE>
<DD>
<DT><CODE>integer_row a(&#38;b);</CODE>
<DD>
<DT><CODE>a.init(b);</CODE>
<DD>
<DT><CODE>a.init(&#38;b);</CODE>
<DD>
Create/initialize the row <VAR>a</VAR> to be identical to <VAR>b</VAR>.
<A NAME="IDX144"></A>
<A NAME="IDX145"></A>
<A NAME="IDX146"></A>
<A NAME="IDX147"></A>

<DT><CODE>int * ilist;</CODE>
<DD>
<DT><CODE>integer_row a(ilist, n);</CODE>
<DD>
<DT><CODE>a.init(ilist, n);</CODE>
<DD>
Using a list of <VAR>n</VAR> integers, create a row.
<A NAME="IDX148"></A>
<A NAME="IDX149"></A>

<DT><CODE>int * a.data_array();</CODE>
<DD>
Convert the row to a list of integers.
<A NAME="IDX150"></A>

<DT><CODE>a.del_col(i);</CODE>
<DD>
<DT><CODE>a.del_col(i, j);</CODE>
<DD>
Delete the <VAR>i</VAR>-th element (or elements <VAR>i</VAR> to <VAR>j</VAR>) from
the row <VAR>a</VAR>. 
<A NAME="IDX151"></A>
<A NAME="IDX152"></A>
<A NAME="IDX153"></A>

<DT><CODE>a ^= b;</CODE>
<DD>
Swap the rows. same as <CODE>tmp = a; a = b; b = tmp;</CODE>.
<A NAME="IDX154"></A>
<A NAME="IDX155"></A>

<DT><CODE>b = a.swap_col(i, j);</CODE>
<DD>
Swap the elements <VAR>i</VAR> and <VAR>j</VAR>.
<A NAME="IDX156"></A>
<A NAME="IDX157"></A>

<DT><CODE>a.insert_col(i);</CODE>
<DD>
Insert an element initialized to 0 at the <VAR>i</VAR>-th position.
<A NAME="IDX158"></A>
<A NAME="IDX159"></A>
</DL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_6.html">previous</A>, <A HREF="suifmath_8.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
